package com.ryuuji.visual.cZone;

import com.ryuuji.visual.MainScreen;
import com.ryuuji.visual.cZone.asignatura.AnalizarAsignaturas;
import com.ryuuji.visual.cZone.curso.AnalizarCursos;

import javax.swing.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class CZone extends JFrame {
    private JButton analizarCursos;
    private JButton analizarAsignaturas;
    private JPanel mainPanel;

    /**
     * Inicia los valores de la ventana, ademas llama al metodo listeners()
     */
    public CZone() {
        setTitle("Zona Cursos");
        setContentPane(mainPanel);
        setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
        addWindowListener(
                new WindowAdapter() {
                    @Override
                    public void windowClosing(WindowEvent e) {
                        new MainScreen();
                        dispose();
                    }
                }
        );
        setResizable(false);
        pack();
        setLocationRelativeTo(null);
        setVisible(true);
        listeners();
    }

    /**
     * Añade los listeners a los botones de la ventana
     * El boton analizarCursos lleva a la ventana AnalizarCursos
     * El boton analizarAsignaturas lleva a la ventana AnalizarAsignaturas
     */
    private void listeners() {
        analizarCursos.addActionListener(a -> {
            new AnalizarCursos();
            dispose();
        });
        analizarAsignaturas.addActionListener(a -> {
            new AnalizarAsignaturas();
            dispose();
        });
    }

    /**
     * Inicia los botones de la ventana con sus imagenes respectivas
     */
    private void createUIComponents() {
        analizarAsignaturas = new JButton(new ImageIcon("resources/a-as.png"));
        analizarCursos = new JButton(new ImageIcon("resources/a-cu.png"));
    }
}
